VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::FolderTypes::FilterSpec Class Reference

The `Folder.FilterSpec` class contains fields used to filter the results when listing folders (see Folder.List ). More...

List of all members.

## Public Member Functions
| FilterSpec ()
| Creates a default new instance.
global::System.Collections.Generic.HashSet < string > | GetFolders ()
| Identifiers of folders that can match the filter.
void | SetFolders (global::System.Collections.Generic.HashSet< string > folders)
| Identifiers of folders that can match the filter.
global::System.Collections.Generic.HashSet < string > | GetNames ()
| Names that folders must have to match the filter (see Folder.Summary.name ).
void | SetNames (global::System.Collections.Generic.HashSet< string > names)
| Names that folders must have to match the filter (see Folder.Summary.name ).
vmware.vcenter.FolderTypes.Type | Get_Type ()
| Type that folders must have to match the filter (see Folder.Summary.type ).
void | SetType (vmware.vcenter.FolderTypes.Type type)
| Type that folders must have to match the filter (see Folder.Summary.type ).
global::System.Collections.Generic.HashSet < string > | GetParentFolders ()
| Folders that must contain the folder for the folder to match the filter.
void | SetParentFolders (global::System.Collections.Generic.HashSet< string > parentFolders)
| Folders that must contain the folder for the folder to match the filter.
global::System.Collections.Generic.HashSet < string > | GetDatacenters ()
| Datacenters that must contain the folder for the folder to match the filter.
void | SetDatacenters (global::System.Collections.Generic.HashSet< string > datacenters)
| Datacenters that must contain the folder for the folder to match the filter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Folder.FilterSpec` class contains fields used to filter the results when listing folders (see Folder.List ).

If multiple fields are specified, only folders matching all of the fields match the filter.

## Constructor & Destructor Documentation

vmware::vcenter::FolderTypes::FilterSpec::FilterSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::FolderTypes::FilterSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::FolderTypes::FilterSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::FolderTypes::FilterSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::FolderTypes::FilterSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::FolderTypes::FilterSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::FolderTypes::FilterSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.FolderTypes.Type vmware::vcenter::FolderTypes::FilterSpec::Get_Type | ( |  | ) | `[inline]`

Type that folders must have to match the filter (see Folder.Summary.type ).

global::System.Collections.Generic.HashSet<string> vmware::vcenter::FolderTypes::FilterSpec::GetDatacenters | ( |  | ) | `[inline]`

Datacenters that must contain the folder for the folder to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::FolderTypes::FilterSpec::GetFolders | ( |  | ) | `[inline]`

Identifiers of folders that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

override int vmware::vcenter::FolderTypes::FilterSpec::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::FolderTypes::FilterSpec::GetNames | ( |  | ) | `[inline]`

Names that folders must have to match the filter (see Folder.Summary.name ).

global::System.Collections.Generic.HashSet<string> vmware::vcenter::FolderTypes::FilterSpec::GetParentFolders | ( |  | ) | `[inline]`

Folders that must contain the folder for the folder to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::FolderTypes::FilterSpec::SetDatacenters | ( | global::System.Collections.Generic.HashSet< string > | datacenters | ) | `[inline]`

Datacenters that must contain the folder for the folder to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

void vmware::vcenter::FolderTypes::FilterSpec::SetFolders | ( | global::System.Collections.Generic.HashSet< string > | folders | ) | `[inline]`

Identifiers of folders that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::FolderTypes::FilterSpec::SetNames | ( | global::System.Collections.Generic.HashSet< string > | names | ) | `[inline]`

Names that folders must have to match the filter (see Folder.Summary.name ).

void vmware::vcenter::FolderTypes::FilterSpec::SetParentFolders | ( | global::System.Collections.Generic.HashSet< string > | parentFolders | ) | `[inline]`

Folders that must contain the folder for the folder to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::FolderTypes::FilterSpec::SetType | ( | vmware.vcenter.FolderTypes.Type | type | ) | `[inline]`

Type that folders must have to match the filter (see Folder.Summary.type ).

override string vmware::vcenter::FolderTypes::FilterSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FolderTypes.cs